Worker
Worker::isShutdown
Worker
PHP Manual

# Worker::getStacked

(PECL pthreads >= 2.0.0)

Worker::getStacked — Stack Analysis

### Description

public integer Worker::getStacked ( void )

Returns the number of objects waiting to be executed by the referenced Worker

### Parameters

This function has no parameters.

### Return Values

An numeric value

### Examples

Example #1 Returns the number of objects currently waiting to be executed by the referenced Worker

`<?php
class Work extends Threaded {
/** ... **/
public function run(){
/** ... **/
}
}
$my = new Worker();
/** ... **/
$work = new Work();
$my->stack($work);
/** ... **/
printf("My worker has %d jobs remaining\n", $my->getStacked());
/** ... **/
?>`

The above example will output:

    My worker has 5 jobs remaining

Worker
Worker::isShutdown
Worker
PHP Manual